Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network44.232.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
44.232.0.0
Broadcast address
44.233.255.255
First usable
44.232.0.1
Last usable
44.233.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 2CE80000 · Integer 753401856 to 753532927
Reverse DNS zones
232.44.in-addr.arpa
233.44.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101100.11101000.00000000.0000000044.232.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00101100.11101000.00000000.0000000044.232.0.0
Broadcast00101100.11101001.11111111.1111111144.233.255.255
Split into smaller subnets/21

44.232.0.0/15 makes 64 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
144.232.0.0/2144.232.0.1 to 44.232.7.25444.232.7.2552,046
244.232.8.0/2144.232.8.1 to 44.232.15.25444.232.15.2552,046
344.232.16.0/2144.232.16.1 to 44.232.23.25444.232.23.2552,046
444.232.24.0/2144.232.24.1 to 44.232.31.25444.232.31.2552,046
544.232.32.0/2144.232.32.1 to 44.232.39.25444.232.39.2552,046
644.232.40.0/2144.232.40.1 to 44.232.47.25444.232.47.2552,046
744.232.48.0/2144.232.48.1 to 44.232.55.25444.232.55.2552,046
844.232.56.0/2144.232.56.1 to 44.232.63.25444.232.63.2552,046
944.232.64.0/2144.232.64.1 to 44.232.71.25444.232.71.2552,046
1044.232.72.0/2144.232.72.1 to 44.232.79.25444.232.79.2552,046
1144.232.80.0/2144.232.80.1 to 44.232.87.25444.232.87.2552,046
1244.232.88.0/2144.232.88.1 to 44.232.95.25444.232.95.2552,046
1344.232.96.0/2144.232.96.1 to 44.232.103.25444.232.103.2552,046
1444.232.104.0/2144.232.104.1 to 44.232.111.25444.232.111.2552,046
1544.232.112.0/2144.232.112.1 to 44.232.119.25444.232.119.2552,046
1644.232.120.0/2144.232.120.1 to 44.232.127.25444.232.127.2552,046
1744.232.128.0/2144.232.128.1 to 44.232.135.25444.232.135.2552,046
1844.232.136.0/2144.232.136.1 to 44.232.143.25444.232.143.2552,046
1944.232.144.0/2144.232.144.1 to 44.232.151.25444.232.151.2552,046
2044.232.152.0/2144.232.152.1 to 44.232.159.25444.232.159.2552,046
2144.232.160.0/2144.232.160.1 to 44.232.167.25444.232.167.2552,046
2244.232.168.0/2144.232.168.1 to 44.232.175.25444.232.175.2552,046
2344.232.176.0/2144.232.176.1 to 44.232.183.25444.232.183.2552,046
2444.232.184.0/2144.232.184.1 to 44.232.191.25444.232.191.2552,046
2544.232.192.0/2144.232.192.1 to 44.232.199.25444.232.199.2552,046
2644.232.200.0/2144.232.200.1 to 44.232.207.25444.232.207.2552,046
2744.232.208.0/2144.232.208.1 to 44.232.215.25444.232.215.2552,046
2844.232.216.0/2144.232.216.1 to 44.232.223.25444.232.223.2552,046
2944.232.224.0/2144.232.224.1 to 44.232.231.25444.232.231.2552,046
3044.232.232.0/2144.232.232.1 to 44.232.239.25444.232.239.2552,046
3144.232.240.0/2144.232.240.1 to 44.232.247.25444.232.247.2552,046
3244.232.248.0/2144.232.248.1 to 44.232.255.25444.232.255.2552,046
3344.233.0.0/2144.233.0.1 to 44.233.7.25444.233.7.2552,046
3444.233.8.0/2144.233.8.1 to 44.233.15.25444.233.15.2552,046
3544.233.16.0/2144.233.16.1 to 44.233.23.25444.233.23.2552,046
3644.233.24.0/2144.233.24.1 to 44.233.31.25444.233.31.2552,046
3744.233.32.0/2144.233.32.1 to 44.233.39.25444.233.39.2552,046
3844.233.40.0/2144.233.40.1 to 44.233.47.25444.233.47.2552,046
3944.233.48.0/2144.233.48.1 to 44.233.55.25444.233.55.2552,046
4044.233.56.0/2144.233.56.1 to 44.233.63.25444.233.63.2552,046
4144.233.64.0/2144.233.64.1 to 44.233.71.25444.233.71.2552,046
4244.233.72.0/2144.233.72.1 to 44.233.79.25444.233.79.2552,046
4344.233.80.0/2144.233.80.1 to 44.233.87.25444.233.87.2552,046
4444.233.88.0/2144.233.88.1 to 44.233.95.25444.233.95.2552,046
4544.233.96.0/2144.233.96.1 to 44.233.103.25444.233.103.2552,046
4644.233.104.0/2144.233.104.1 to 44.233.111.25444.233.111.2552,046
4744.233.112.0/2144.233.112.1 to 44.233.119.25444.233.119.2552,046
4844.233.120.0/2144.233.120.1 to 44.233.127.25444.233.127.2552,046
4944.233.128.0/2144.233.128.1 to 44.233.135.25444.233.135.2552,046
5044.233.136.0/2144.233.136.1 to 44.233.143.25444.233.143.2552,046
5144.233.144.0/2144.233.144.1 to 44.233.151.25444.233.151.2552,046
5244.233.152.0/2144.233.152.1 to 44.233.159.25444.233.159.2552,046
5344.233.160.0/2144.233.160.1 to 44.233.167.25444.233.167.2552,046
5444.233.168.0/2144.233.168.1 to 44.233.175.25444.233.175.2552,046
5544.233.176.0/2144.233.176.1 to 44.233.183.25444.233.183.2552,046
5644.233.184.0/2144.233.184.1 to 44.233.191.25444.233.191.2552,046
5744.233.192.0/2144.233.192.1 to 44.233.199.25444.233.199.2552,046
5844.233.200.0/2144.233.200.1 to 44.233.207.25444.233.207.2552,046
5944.233.208.0/2144.233.208.1 to 44.233.215.25444.233.215.2552,046
6044.233.216.0/2144.233.216.1 to 44.233.223.25444.233.223.2552,046
6144.233.224.0/2144.233.224.1 to 44.233.231.25444.233.231.2552,046
6244.233.232.0/2144.233.232.1 to 44.233.239.25444.233.239.2552,046
6344.233.240.0/2144.233.240.1 to 44.233.247.25444.233.247.2552,046
6444.233.248.0/2144.233.248.1 to 44.233.255.25444.233.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses